diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.UtilsTest.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.UtilsTest.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.UtilsTest.jimple	2025-03-13 18:06:19.599750632 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.UtilsTest.jimple	2025-03-13 18:06:21.927714006 +0000
@@ -11,6 +11,7 @@
 {
 psiprobe.UtilsTest v;
 int v, v, v, v;
+java.lang.String v;
 v := @this: psiprobe.UtilsTest;
 v = staticinvoke <psiprobe.Utils: int toInt(java.lang.String,int)>("garbage", 5);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(5, v);
@@ -18,7 +19,8 @@
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(3, v);
 v = staticinvoke <psiprobe.Utils: int toInt(java.lang.String,int)>("3 3", 5);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(5, v);
-v = staticinvoke <psiprobe.Utils: int toInt(java.lang.String,int)>(null, 5);
+v = null;
+v = staticinvoke <psiprobe.Utils: int toInt(java.lang.String,int)>(v, 5);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(5, v);
 return;
 }
@@ -26,6 +28,7 @@
 {
 psiprobe.UtilsTest v;
 int v, v, v, v, v;
+java.lang.String v;
 v := @this: psiprobe.UtilsTest;
 v = staticinvoke <psiprobe.Utils: int toIntHex(java.lang.String,int)>("garbage", 5);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(5, v);
@@ -35,7 +38,8 @@
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(3, v);
 v = staticinvoke <psiprobe.Utils: int toIntHex(java.lang.String,int)>("3 3", 5);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(5, v);
-v = staticinvoke <psiprobe.Utils: int toIntHex(java.lang.String,int)>(null, 5);
+v = null;
+v = staticinvoke <psiprobe.Utils: int toIntHex(java.lang.String,int)>(v, 5);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(int,int)>(5, v);
 return;
 }
@@ -43,6 +47,7 @@
 {
 psiprobe.UtilsTest v;
 long v, v, v, v;
+java.lang.String v;
 v := @this: psiprobe.UtilsTest;
 v = staticinvoke <psiprobe.Utils: long toLong(java.lang.String,long)>("garbage", 5L);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(long,long)>(5L, v);
@@ -50,17 +55,19 @@
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(long,long)>(3L, v);
 v = staticinvoke <psiprobe.Utils: long toLong(java.lang.String,long)>("3 3", 5L);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(long,long)>(5L, v);
-v = staticinvoke <psiprobe.Utils: long toLong(java.lang.String,long)>(null, 5L);
+v = null;
+v = staticinvoke <psiprobe.Utils: long toLong(java.lang.String,long)>(v, 5L);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(long,long)>(5L, v);
 return;
 }
 void toLongIntTest()
 {
 psiprobe.UtilsTest v;
-java.lang.Long v;
+java.lang.Long v, v;
 long v, v;
 v := @this: psiprobe.UtilsTest;
-v = staticinvoke <psiprobe.Utils: long toLong(java.lang.Long,long)>(null, 5L);
+v = null;
+v = staticinvoke <psiprobe.Utils: long toLong(java.lang.Long,long)>(v, 5L);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(long,long)>(5L, v);
 v = staticinvoke <java.lang.Long: java.lang.Long valueOf(long)>(1L);
 v = staticinvoke <psiprobe.Utils: long toLong(java.lang.Long,long)>(v, 5L);
@@ -71,6 +78,7 @@
 {
 psiprobe.UtilsTest v;
 float v, v, v, v;
+java.lang.String v;
 v := @this: psiprobe.UtilsTest;
 v = staticinvoke <psiprobe.Utils: float toFloat(java.lang.String,float)>("garbage", 5.0F);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(double,double,double)>(5.0, v, 0.0);
@@ -78,7 +86,8 @@
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(double,double,double)>(3.0, v, 0.0);
 v = staticinvoke <psiprobe.Utils: float toFloat(java.lang.String,float)>("3 3", 5.0F);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(double,double,double)>(5.0, v, 0.0);
-v = staticinvoke <psiprobe.Utils: float toFloat(java.lang.String,float)>(null, 5.0F);
+v = null;
+v = staticinvoke <psiprobe.Utils: float toFloat(java.lang.String,float)>(v, 5.0F);
 staticinvoke <org.junit.jupiter.api.Assertions: void assertEquals(double,double,double)>(5.0, v, 0.0);
 return;
 }
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1.jimple	2025-03-13 18:06:19.607750505 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1.jimple	2025-03-13 18:06:21.931713943 +0000
@@ -3,13 +3,14 @@
 final psiprobe.beans.accessors.ViburCpDatasourceAccessorTest this$0;
 void <init>(psiprobe.beans.accessors.ViburCpDatasourceAccessorTest)
 {
-psiprobe.beans.accessors.ViburCpDatasourceAccessorTest v;
-psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1 v;
+psiprobe.beans.accessors.ViburCpDatasourceAccessorTest v, v;
 org.vibur.dbcp.ViburDBCPDataSource v;
+psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1 v;
 v := @this: psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1;
 v := @parameter: psiprobe.beans.accessors.ViburCpDatasourceAccessorTest;
 v.<psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1: psiprobe.beans.accessors.ViburCpDatasourceAccessorTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1: psiprobe.beans.accessors.ViburCpDatasourceAccessorTest this$0>;
 v = v.<psiprobe.beans.accessors.ViburCpDatasourceAccessorTest: org.vibur.dbcp.ViburDBCPDataSource source>;
 virtualinvoke v.<org.vibur.dbcp.ViburDBCPDataSource: java.lang.String getJmxName()>();
 v.<psiprobe.beans.accessors.ViburCpDatasourceAccessorTest$1: java.lang.Object result> = "viburJmx";
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.stats.listeners.FlapListenerTests.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.stats.listeners.FlapListenerTests.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.stats.listeners.FlapListenerTests.jimple	2025-03-13 18:06:19.631750128 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.beans.stats.listeners.FlapListenerTests.jimple	2025-03-13 18:06:21.943713755 +0000
@@ -55,13 +55,13 @@
 v := @parameter: psiprobe.beans.stats.listeners.StatsCollectionEvent;
 v := @parameter: int;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener listener>;
 virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: void statsCollected(psiprobe.beans.stats.listeners.StatsCollectionEvent)>(v);
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return;
 }
 void testBelowThresholdNotFlapping()
@@ -118,8 +118,8 @@
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.StatsCollectionEvent belowThreshold>;
 virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: void statsCollected(psiprobe.beans.stats.listeners.StatsCollectionEvent)>(v);
 v = 0;
-goto label;
 label:
+if v >= 10 goto label;
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener listener>;
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.StatsCollectionEvent belowThreshold>;
 virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: void statsCollected(psiprobe.beans.stats.listeners.StatsCollectionEvent)>(v);
@@ -127,8 +127,8 @@
 v = virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: boolean isBelowThresholdNotFlapping()>();
 staticinvoke <org.junit.jupiter.api.Assertions: void assertFalse(boolean)>(v);
 v = v + 1;
+goto label;
 label:
-if v < 10 goto label;
 return;
 }
 void testStillAboveThreshold()
@@ -145,8 +145,8 @@
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.StatsCollectionEvent aboveThreshold>;
 virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: void statsCollected(psiprobe.beans.stats.listeners.StatsCollectionEvent)>(v);
 v = 0;
-goto label;
 label:
+if v >= 10 goto label;
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener listener>;
 v = v.<psiprobe.beans.stats.listeners.FlapListenerTests: psiprobe.beans.stats.listeners.StatsCollectionEvent aboveThreshold>;
 virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: void statsCollected(psiprobe.beans.stats.listeners.StatsCollectionEvent)>(v);
@@ -154,8 +154,8 @@
 v = virtualinvoke v.<psiprobe.beans.stats.listeners.FlapListenerTests$MockFlapListener: boolean isAboveThresholdNotFlapping()>();
 staticinvoke <org.junit.jupiter.api.Assertions: void assertFalse(boolean)>(v);
 v = v + 1;
+goto label;
 label:
-if v < 10 goto label;
 return;
 }
 void testFlappingStarted()
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.jsp.VisualScoreTagTest.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.jsp.VisualScoreTagTest.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.jsp.VisualScoreTagTest.jimple	2025-03-13 18:06:19.679749373 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.jsp.VisualScoreTagTest.jimple	2025-03-13 18:06:21.967713377 +0000
@@ -1,13 +1,6 @@
 class psiprobe.jsp.VisualScoreTagTest extends java.lang.Object
 {
 private static final org.slf4j.Logger logger;
-static void <clinit>()
-{
-org.slf4j.Logger v;
-v = staticinvoke <org.slf4j.LoggerFactory: org.slf4j.Logger getLogger(java.lang.Class)>(class "Lpsiprobe/jsp/VisualScoreTagTest;");
-<psiprobe.jsp.VisualScoreTagTest: org.slf4j.Logger logger> = v;
-return;
-}
 void <init>()
 {
 psiprobe.jsp.VisualScoreTagTest v;
@@ -43,17 +36,17 @@
 java.lang.String v, v, v, v, v;
 boolean v, v;
 org.slf4j.Logger v, v;
-java.lang.StringBuilder v, v;
+java.lang.StringBuilder v;
 v := @parameter: int;
 v := @parameter: int;
 v := @parameter: boolean;
 v = 0;
 v = 0;
-goto label;
 label:
+if v > 100 goto label;
 v = 0;
-goto label;
 label:
+if v > 100 goto label;
 if v == 0 goto label;
 v = v;
 v = v;
@@ -65,8 +58,8 @@
 v = staticinvoke <psiprobe.jsp.VisualScoreTagTest: java.lang.String[] callCalculateSuffix(int,int,int,int)>(v, v, v, v);
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 v = <psiprobe.jsp.VisualScoreTagTest: org.slf4j.Logger logger>;
 interfaceinvoke v.<org.slf4j.Logger: void trace(java.lang.String)>(v);
@@ -110,22 +103,21 @@
 interfaceinvoke v.<org.slf4j.Logger: void trace(java.lang.String)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 v = v + 1;
+goto label;
 label:
-if v <= 100 goto label;
 v = v + 1;
+goto label;
 label:
-if v <= 100 goto label;
 if v <= 0 goto label;
 v = 1;
 goto label;
 label:
 v = 0;
 label:
-specialinvoke v.<java.lang.StringBuilder: void <init>(java.lang.String)>("Incorrect values were founded ");
-v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (int)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("\u times");
+v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (int)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("Incorrect values were founded \u times");
 staticinvoke <org.junit.jupiter.api.Assertions: void assertFalse(boolean,java.lang.String)>(v, v);
 return;
 }
@@ -152,4 +144,11 @@
 v = virtualinvoke v.<java.lang.String: java.lang.String[] split(java.lang.String)>(" ");
 return v;
 }
+static void <clinit>()
+{
+org.slf4j.Logger v;
+v = staticinvoke <org.slf4j.LoggerFactory: org.slf4j.Logger getLogger(java.lang.Class)>(class "Lpsiprobe/jsp/VisualScoreTagTest;");
+<psiprobe.jsp.VisualScoreTagTest: org.slf4j.Logger logger> = v;
+return;
+}
 }
\ No newline at end of file
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.mappers.AjaxDecoratorMapperTest$1.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.mappers.AjaxDecoratorMapperTest$1.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.mappers.AjaxDecoratorMapperTest$1.jimple	2025-03-13 18:06:19.679749373 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.mappers.AjaxDecoratorMapperTest$1.jimple	2025-03-13 18:06:21.971713314 +0000
@@ -5,14 +5,16 @@
 {
 javax.servlet.http.HttpServletRequest v, v;
 psiprobe.mappers.AjaxDecoratorMapperTest$1 v;
-psiprobe.mappers.AjaxDecoratorMapperTest v;
+psiprobe.mappers.AjaxDecoratorMapperTest v, v, v;
 v := @this: psiprobe.mappers.AjaxDecoratorMapperTest$1;
 v := @parameter: psiprobe.mappers.AjaxDecoratorMapperTest;
 v.<psiprobe.mappers.AjaxDecoratorMapperTest$1: psiprobe.mappers.AjaxDecoratorMapperTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.mappers.AjaxDecoratorMapperTest$1: psiprobe.mappers.AjaxDecoratorMapperTest this$0>;
 v = v.<psiprobe.mappers.AjaxDecoratorMapperTest: javax.servlet.http.HttpServletRequest request>;
 interfaceinvoke v.<javax.servlet.http.HttpServletRequest: java.lang.Object getAttribute(java.lang.String)>("javax.servlet.error.request_uri");
 v.<psiprobe.mappers.AjaxDecoratorMapperTest$1: java.lang.Object result> = "https://localhost:8443/probe";
+v = v.<psiprobe.mappers.AjaxDecoratorMapperTest$1: psiprobe.mappers.AjaxDecoratorMapperTest this$0>;
 v = v.<psiprobe.mappers.AjaxDecoratorMapperTest: javax.servlet.http.HttpServletRequest request>;
 interfaceinvoke v.<javax.servlet.http.HttpServletRequest: java.lang.String getServletPath()>();
 v.<psiprobe.mappers.AjaxDecoratorMapperTest$1: java.lang.Object result> = "probe/ws";
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.WhoisTests.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.WhoisTests.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.WhoisTests.jimple	2025-03-13 18:06:19.695749121 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.WhoisTests.jimple	2025-03-13 18:06:21.995712937 +0000
@@ -14,20 +14,16 @@
 java.net.InetAddress v, v;
 java.util.Map v;
 java.lang.Object v;
-java.lang.StringBuilder v, v;
-java.lang.String v, v, v, v, v;
+java.lang.String v, v, v, v;
 psiprobe.tools.Whois$Response v;
 v := @this: psiprobe.tools.WhoisTests;
-v = staticinvoke <java.lang.String: java.lang.String valueOf(int)>(127);
-specialinvoke v.<java.lang.StringBuilder: void <init>(java.lang.String)>(v);
-v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (byte,byte,byte)>(0, 0, 1) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>(".\u.\u.\u0001");
+v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (byte,byte,byte,byte)>(127, 0, 0, 1) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("\u.\u.\u.\u0001");
 v = newarray (byte)[4];
 v[0] = 127;
 v[1] = 0;
 v[2] = 0;
 v[3] = 1;
-specialinvoke v.<java.lang.StringBuilder: void <init>(java.lang.String)>("n ");
-v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (java.lang.String)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("\u0001");
+v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (java.lang.String)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("n \u0001");
 v = staticinvoke <psiprobe.tools.Whois: psiprobe.tools.Whois$Response lookup(java.lang.String,int,java.lang.String,long)>("whois.arin.net", 43, v, 5L);
 v = virtualinvoke v.<psiprobe.tools.Whois$Response: java.util.Map getData()>();
 v = interfaceinvoke v.<java.util.Map: java.lang.Object get(java.lang.Object)>("NetName");
@@ -47,20 +43,16 @@
 java.net.InetAddress v, v;
 java.util.Map v;
 java.lang.Object v;
-java.lang.StringBuilder v, v;
-java.lang.String v, v, v, v, v;
+java.lang.String v, v, v, v;
 psiprobe.tools.Whois$Response v;
 v := @this: psiprobe.tools.WhoisTests;
-v = staticinvoke <java.lang.String: java.lang.String valueOf(int)>(74);
-specialinvoke v.<java.lang.StringBuilder: void <init>(java.lang.String)>(v);
-v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (byte,byte,byte)>(125, 45, 100) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>(".\u.\u.\u0001");
+v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (byte,byte,byte,byte)>(74, 125, 45, 100) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("\u.\u.\u.\u0001");
 v = newarray (byte)[4];
 v[0] = 74;
 v[1] = 125;
 v[2] = 45;
 v[3] = 100;
-specialinvoke v.<java.lang.StringBuilder: void <init>(java.lang.String)>("n ");
-v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (java.lang.String)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("\u0001");
+v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (java.lang.String)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("n \u0001");
 v = staticinvoke <psiprobe.tools.Whois: psiprobe.tools.Whois$Response lookup(java.lang.String,int,java.lang.String,long)>("whois.arin.net", 43, v, 5L);
 v = virtualinvoke v.<psiprobe.tools.Whois$Response: java.util.Map getData()>();
 v = interfaceinvoke v.<java.util.Map: java.lang.Object get(java.lang.Object)>("NetName");
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessorTest.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessorTest.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessorTest.jimple	2025-03-13 18:06:19.699749058 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-core-3.7.0-tests.jar:psi-probe-core-3.7.0-tests.jar/psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessorTest.jimple	2025-03-13 18:06:21.999712874 +0000
@@ -11,15 +11,14 @@
 {
 psiprobe.tools.logging.jdk.Jdk14LoggerAccessor v;
 psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessorTest v;
+java.io.File v, v;
 psiprobe.model.Application v;
 java.util.logging.FileHandler v;
 java.nio.file.attribute.FileAttribute[] v;
 psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessor v;
 org.assertj.core.api.AbstractStringAssert v;
-java.lang.String v, v, v, v, v, v;
+java.lang.String v, v, v, v, v;
 java.nio.file.Path v;
-java.io.File v, v;
-java.lang.StringBuilder v;
 v := @this: psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessorTest;
 v = new psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessor;
 specialinvoke v.<psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessor: void <init>()>();
@@ -32,9 +31,7 @@
 virtualinvoke v.<java.io.File: void deleteOnExit()>();
 v = new java.util.logging.FileHandler;
 v = interfaceinvoke v.<java.nio.file.Path: java.lang.String toString()>();
-v = staticinvoke <java.lang.String: java.lang.String valueOf(java.lang.Object)>(v);
-specialinvoke v.<java.lang.StringBuilder: void <init>(java.lang.String)>(v);
-v = dynamicinvoke "makeConcatWithConstants" <java.lang.String ()>() <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("test-%g.log");
+v = dynamicinvoke "makeConcatWithConstants" <java.lang.String (java.lang.String)>(v) <java.lang.invoke.StringConcatFactory: java.lang.invoke.CallSite makeConcatWithConstants(java.lang.invoke.MethodHandles$Lookup,java.lang.String,java.lang.invoke.MethodType,java.lang.String,java.lang.Object[])>("\u0001test-%g.log");
 specialinvoke v.<java.util.logging.FileHandler: void <init>(java.lang.String,int,int)>(v, 1024, 3);
 virtualinvoke v.<psiprobe.tools.logging.jdk.Jdk14FileHandlerAccessor: void setTarget(java.lang.Object)>(v);
 v = staticinvoke <java.lang.Integer: java.lang.String toString(int)>(0);