diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$1.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$1.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$1.jimple	2025-03-13 18:06:23.731685625 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$1.jimple	2025-03-13 18:06:25.259661585 +0000
@@ -3,7 +3,7 @@
 final psiprobe.Tomcat85ContainerAdapterTest this$0;
 void <init>(psiprobe.Tomcat85ContainerAdapterTest)
 {
-psiprobe.Tomcat85ContainerAdapterTest v;
+psiprobe.Tomcat85ContainerAdapterTest v, v;
 psiprobe.Tomcat85ContainerAdapterTest$1 v;
 org.apache.tomcat.util.descriptor.web.FilterMap v;
 org.apache.catalina.Context v;
@@ -11,6 +11,7 @@
 v := @parameter: psiprobe.Tomcat85ContainerAdapterTest;
 v.<psiprobe.Tomcat85ContainerAdapterTest$1: psiprobe.Tomcat85ContainerAdapterTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.Tomcat85ContainerAdapterTest$1: psiprobe.Tomcat85ContainerAdapterTest this$0>;
 v = v.<psiprobe.Tomcat85ContainerAdapterTest: org.apache.catalina.Context context>;
 interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.FilterMap[] findFilterMaps()>();
 v = new org.apache.tomcat.util.descriptor.web.FilterMap;
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$2.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$2.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$2.jimple	2025-03-13 18:06:23.739685499 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$2.jimple	2025-03-13 18:06:25.263661522 +0000
@@ -4,13 +4,14 @@
 void <init>(psiprobe.Tomcat85ContainerAdapterTest)
 {
 org.apache.tomcat.util.descriptor.web.FilterDef v;
-psiprobe.Tomcat85ContainerAdapterTest v;
+psiprobe.Tomcat85ContainerAdapterTest v, v;
 psiprobe.Tomcat85ContainerAdapterTest$2 v;
 org.apache.catalina.Context v;
 v := @this: psiprobe.Tomcat85ContainerAdapterTest$2;
 v := @parameter: psiprobe.Tomcat85ContainerAdapterTest;
 v.<psiprobe.Tomcat85ContainerAdapterTest$2: psiprobe.Tomcat85ContainerAdapterTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.Tomcat85ContainerAdapterTest$2: psiprobe.Tomcat85ContainerAdapterTest this$0>;
 v = v.<psiprobe.Tomcat85ContainerAdapterTest: org.apache.catalina.Context context>;
 interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.FilterDef[] findFilterDefs()>();
 v = new org.apache.tomcat.util.descriptor.web.FilterDef;
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$3.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$3.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$3.jimple	2025-03-13 18:06:23.739685499 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.Tomcat85ContainerAdapterTest$3.jimple	2025-03-13 18:06:25.263661522 +0000
@@ -4,13 +4,14 @@
 void <init>(psiprobe.Tomcat85ContainerAdapterTest)
 {
 psiprobe.Tomcat85ContainerAdapterTest$3 v;
-psiprobe.Tomcat85ContainerAdapterTest v;
+psiprobe.Tomcat85ContainerAdapterTest v, v;
 org.apache.catalina.Context v;
 org.apache.tomcat.util.descriptor.web.ApplicationParameter v;
 v := @this: psiprobe.Tomcat85ContainerAdapterTest$3;
 v := @parameter: psiprobe.Tomcat85ContainerAdapterTest;
 v.<psiprobe.Tomcat85ContainerAdapterTest$3: psiprobe.Tomcat85ContainerAdapterTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.Tomcat85ContainerAdapterTest$3: psiprobe.Tomcat85ContainerAdapterTest this$0>;
 v = v.<psiprobe.Tomcat85ContainerAdapterTest: org.apache.catalina.Context context>;
 interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.ApplicationParameter[] findApplicationParameters()>();
 v = new org.apache.tomcat.util.descriptor.web.ApplicationParameter;
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessorTest.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessorTest.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessorTest.jimple	2025-03-13 18:06:23.743685435 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0-tests.jar:psi-probe-tomcat85-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessorTest.jimple	2025-03-13 18:06:25.267661459 +0000
@@ -29,9 +29,6 @@
 goto label;
 label:
 v := @caughtexception;
-if v == null goto label;
-virtualinvoke v.<org.apache.tomcat.dbcp.dbcp.BasicDataSource: void close()>();
-label:
 throw v;
 label:
 return;