diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.Tomcat85ContainerAdapter.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.Tomcat85ContainerAdapter.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.Tomcat85ContainerAdapter.jimple	2025-03-13 18:06:18.567766866 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.Tomcat85ContainerAdapter.jimple	2025-03-13 18:06:20.159741821 +0000
@@ -20,7 +20,7 @@
 {
 psiprobe.Tomcat85ContainerAdapter v;
 java.lang.String v;
-boolean v, v, v, v, v;
+boolean v, v, v, v, v, v;
 v := @this: psiprobe.Tomcat85ContainerAdapter;
 v := @parameter: java.lang.String;
 if v != null goto label;
@@ -35,11 +35,14 @@
 v = virtualinvoke v.<java.lang.String: boolean startsWith(java.lang.String)>("Pivotal tc");
 if v == 0 goto label;
 v = virtualinvoke v.<java.lang.String: boolean contains(java.lang.CharSequence)>("/8.5");
-if v != 0 goto label;
+if v == 0 goto label;
 label:
-return 0;
+v = 1;
+goto label;
+label:
+v = 0;
 label:
-return 1;
+return v;
 }
 protected java.util.List getFilterMappings(org.apache.tomcat.util.descriptor.web.FilterMap, java.lang.String, java.lang.String)
 {
@@ -110,8 +113,8 @@
 v = virtualinvoke v.<org.apache.catalina.deploy.NamingResourcesImpl: org.apache.tomcat.util.descriptor.web.ContextResourceLink[] findResourceLinks()>();
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 v = new psiprobe.model.ApplicationResource;
 specialinvoke v.<psiprobe.model.ApplicationResource: void <init>()>();
@@ -129,8 +132,8 @@
 virtualinvoke v.<psiprobe.Tomcat85ContainerAdapter: void registerGlobalResourceAccess(org.apache.tomcat.util.descriptor.web.ContextResourceLink)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return;
 }
 public void addContextResource(org.apache.catalina.Context, java.util.List, boolean)
@@ -154,8 +157,8 @@
 v = virtualinvoke v.<org.apache.catalina.deploy.NamingResourcesImpl: org.apache.tomcat.util.descriptor.web.ContextResource[] findResources()>();
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 v = new psiprobe.model.ApplicationResource;
 specialinvoke v.<psiprobe.model.ApplicationResource: void <init>()>();
@@ -176,8 +179,8 @@
 virtualinvoke v.<psiprobe.model.ApplicationResource: void setDescription(java.lang.String)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return;
 }
 public java.util.List getApplicationFilterMaps(org.apache.catalina.Context)
@@ -199,8 +202,8 @@
 specialinvoke v.<java.util.ArrayList: void <init>(int)>(v);
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 if v == null goto label;
 v = virtualinvoke v.<org.apache.tomcat.util.descriptor.web.FilterMap: int getDispatcherMapping()>();
@@ -241,8 +244,8 @@
 interfaceinvoke v.<java.util.List: boolean addAll(java.util.Collection)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return v;
 }
 public java.util.List getApplicationFilters(org.apache.catalina.Context)
@@ -262,16 +265,16 @@
 specialinvoke v.<java.util.ArrayList: void <init>(int)>(v);
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 if v == null goto label;
 v = staticinvoke <psiprobe.Tomcat85ContainerAdapter: psiprobe.model.FilterInfo getFilterInfo(org.apache.tomcat.util.descriptor.web.FilterDef)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return v;
 }
 private static psiprobe.model.FilterInfo getFilterInfo(org.apache.tomcat.util.descriptor.web.FilterDef)
@@ -313,8 +316,8 @@
 v = interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.ApplicationParameter[] findApplicationParameters()>();
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 if v == null goto label;
 v = virtualinvoke v.<org.apache.tomcat.util.descriptor.web.ApplicationParameter: boolean getOverride()>();
@@ -323,16 +326,17 @@
 interfaceinvoke v.<java.util.Set: boolean add(java.lang.Object)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 v = new java.util.ArrayList;
 specialinvoke v.<java.util.ArrayList: void <init>(int)>(20);
 v = interfaceinvoke v.<org.apache.catalina.Context: javax.servlet.ServletContext getServletContext()>();
 v = interfaceinvoke v.<javax.servlet.ServletContext: java.util.Enumeration getInitParameterNames()>();
 v = staticinvoke <java.util.Collections: java.util.ArrayList list(java.util.Enumeration)>(v);
 v = virtualinvoke v.<java.util.ArrayList: java.util.Iterator iterator()>();
-goto label;
 label:
+v = interfaceinvoke v.<java.util.Iterator: boolean hasNext()>();
+if v == 0 goto label;
 v = interfaceinvoke v.<java.util.Iterator: java.lang.Object next()>();
 v = new psiprobe.model.ApplicationParam;
 specialinvoke v.<psiprobe.model.ApplicationParam: void <init>()>();
@@ -350,9 +354,8 @@
 label:
 virtualinvoke v.<psiprobe.model.ApplicationParam: void setFromDeplDescr(boolean)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
+goto label;
 label:
-v = interfaceinvoke v.<java.util.Iterator: boolean hasNext()>();
-if v != 0 goto label;
 return v;
 }
 public boolean resourceExists(java.lang.String, org.apache.catalina.Context)
@@ -362,15 +365,19 @@
 org.apache.catalina.WebResource v;
 java.lang.String v;
 org.apache.catalina.Context v;
+boolean v;
 v := @this: psiprobe.Tomcat85ContainerAdapter;
 v := @parameter: java.lang.String;
 v := @parameter: org.apache.catalina.Context;
 v = interfaceinvoke v.<org.apache.catalina.Context: org.apache.catalina.WebResourceRoot getResources()>();
 v = interfaceinvoke v.<org.apache.catalina.WebResourceRoot: org.apache.catalina.WebResource getResource(java.lang.String)>(v);
 if v == null goto label;
-return 1;
+v = 1;
+goto label;
 label:
-return 0;
+v = 0;
+label:
+return v;
 }
 public java.io.InputStream getResourceStream(java.lang.String, org.apache.catalina.Context) throws java.io.IOException
 {
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessor.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessor.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessor.jimple	2025-03-13 18:06:18.571766805 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat85-3.7.0.jar:psi-probe-tomcat85-3.7.0.jar/psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessor.jimple	2025-03-13 18:06:20.159741821 +0000
@@ -54,7 +54,7 @@
 java.lang.Class v;
 java.lang.Object v;
 java.lang.String v, v;
-boolean v, v;
+boolean v, v, v;
 v := @this: psiprobe.beans.accessors.Tomcat85DbcpDatasourceAccessor;
 v := @parameter: java.lang.Object;
 v = "org.apache.tomcat.dbcp.dbcp.BasicDataSource";
@@ -64,8 +64,11 @@
 if v == 0 goto label;
 v = v instanceof org.apache.tomcat.dbcp.dbcp.BasicDataSource;
 if v == 0 goto label;
-return 1;
+v = 1;
+goto label;
 label:
-return 0;
+v = 0;
+label:
+return v;
 }
 }
\ No newline at end of file