diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$1.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$1.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$1.jimple	2025-03-13 18:06:24.371675556 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$1.jimple	2025-03-13 18:06:25.883651767 +0000
@@ -3,7 +3,7 @@
 final psiprobe.Tomcat90ContainerAdapterTest this$0;
 void <init>(psiprobe.Tomcat90ContainerAdapterTest)
 {
-psiprobe.Tomcat90ContainerAdapterTest v;
+psiprobe.Tomcat90ContainerAdapterTest v, v;
 org.apache.tomcat.util.descriptor.web.FilterMap v;
 org.apache.catalina.Context v;
 psiprobe.Tomcat90ContainerAdapterTest$1 v;
@@ -11,6 +11,7 @@
 v := @parameter: psiprobe.Tomcat90ContainerAdapterTest;
 v.<psiprobe.Tomcat90ContainerAdapterTest$1: psiprobe.Tomcat90ContainerAdapterTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.Tomcat90ContainerAdapterTest$1: psiprobe.Tomcat90ContainerAdapterTest this$0>;
 v = v.<psiprobe.Tomcat90ContainerAdapterTest: org.apache.catalina.Context context>;
 interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.FilterMap[] findFilterMaps()>();
 v = new org.apache.tomcat.util.descriptor.web.FilterMap;
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$2.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$2.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$2.jimple	2025-03-13 18:06:24.375675492 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$2.jimple	2025-03-13 18:06:25.891651643 +0000
@@ -4,13 +4,14 @@
 void <init>(psiprobe.Tomcat90ContainerAdapterTest)
 {
 org.apache.tomcat.util.descriptor.web.FilterDef v;
-psiprobe.Tomcat90ContainerAdapterTest v;
+psiprobe.Tomcat90ContainerAdapterTest v, v;
 org.apache.catalina.Context v;
 psiprobe.Tomcat90ContainerAdapterTest$2 v;
 v := @this: psiprobe.Tomcat90ContainerAdapterTest$2;
 v := @parameter: psiprobe.Tomcat90ContainerAdapterTest;
 v.<psiprobe.Tomcat90ContainerAdapterTest$2: psiprobe.Tomcat90ContainerAdapterTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.Tomcat90ContainerAdapterTest$2: psiprobe.Tomcat90ContainerAdapterTest this$0>;
 v = v.<psiprobe.Tomcat90ContainerAdapterTest: org.apache.catalina.Context context>;
 interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.FilterDef[] findFilterDefs()>();
 v = new org.apache.tomcat.util.descriptor.web.FilterDef;
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$3.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$3.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$3.jimple	2025-03-13 18:06:24.375675492 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.Tomcat90ContainerAdapterTest$3.jimple	2025-03-13 18:06:25.891651643 +0000
@@ -3,7 +3,7 @@
 final psiprobe.Tomcat90ContainerAdapterTest this$0;
 void <init>(psiprobe.Tomcat90ContainerAdapterTest)
 {
-psiprobe.Tomcat90ContainerAdapterTest v;
+psiprobe.Tomcat90ContainerAdapterTest v, v;
 org.apache.catalina.Context v;
 psiprobe.Tomcat90ContainerAdapterTest$3 v;
 org.apache.tomcat.util.descriptor.web.ApplicationParameter v;
@@ -11,6 +11,7 @@
 v := @parameter: psiprobe.Tomcat90ContainerAdapterTest;
 v.<psiprobe.Tomcat90ContainerAdapterTest$3: psiprobe.Tomcat90ContainerAdapterTest this$0> = v;
 specialinvoke v.<mockit.Expectations: void <init>()>();
+v = v.<psiprobe.Tomcat90ContainerAdapterTest$3: psiprobe.Tomcat90ContainerAdapterTest this$0>;
 v = v.<psiprobe.Tomcat90ContainerAdapterTest: org.apache.catalina.Context context>;
 interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.ApplicationParameter[] findApplicationParameters()>();
 v = new org.apache.tomcat.util.descriptor.web.ApplicationParameter;
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessorTest.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessorTest.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessorTest.jimple	2025-03-13 18:06:24.379675430 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0-tests.jar:psi-probe-tomcat9-3.7.0-tests.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessorTest.jimple	2025-03-13 18:06:25.895651579 +0000
@@ -29,9 +29,6 @@
 goto label;
 label:
 v := @caughtexception;
-if v == null goto label;
-virtualinvoke v.<org.apache.tomcat.dbcp.dbcp.BasicDataSource: void close()>();
-label:
 throw v;
 label:
 return;