diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.Tomcat90ContainerAdapter.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.Tomcat90ContainerAdapter.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.Tomcat90ContainerAdapter.jimple	2025-03-13 18:06:15.255818972 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.Tomcat90ContainerAdapter.jimple	2025-03-13 18:06:16.827794242 +0000
@@ -20,7 +20,7 @@
 {
 psiprobe.Tomcat90ContainerAdapter v;
 java.lang.String v;
-boolean v, v, v, v;
+boolean v, v, v, v, v;
 v := @this: psiprobe.Tomcat90ContainerAdapter;
 v := @parameter: java.lang.String;
 if v != null goto label;
@@ -33,11 +33,14 @@
 v = virtualinvoke v.<java.lang.String: boolean startsWith(java.lang.String)>("Pivotal tc");
 if v == 0 goto label;
 v = virtualinvoke v.<java.lang.String: boolean contains(java.lang.CharSequence)>("/9.0");
-if v != 0 goto label;
+if v == 0 goto label;
 label:
-return 0;
+v = 1;
+goto label;
+label:
+v = 0;
 label:
-return 1;
+return v;
 }
 protected java.util.List getFilterMappings(org.apache.tomcat.util.descriptor.web.FilterMap, java.lang.String, java.lang.String)
 {
@@ -108,8 +111,8 @@
 v = virtualinvoke v.<org.apache.catalina.deploy.NamingResourcesImpl: org.apache.tomcat.util.descriptor.web.ContextResourceLink[] findResourceLinks()>();
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 v = new psiprobe.model.ApplicationResource;
 specialinvoke v.<psiprobe.model.ApplicationResource: void <init>()>();
@@ -127,8 +130,8 @@
 virtualinvoke v.<psiprobe.Tomcat90ContainerAdapter: void registerGlobalResourceAccess(org.apache.tomcat.util.descriptor.web.ContextResourceLink)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return;
 }
 public void addContextResource(org.apache.catalina.Context, java.util.List, boolean)
@@ -152,8 +155,8 @@
 v = virtualinvoke v.<org.apache.catalina.deploy.NamingResourcesImpl: org.apache.tomcat.util.descriptor.web.ContextResource[] findResources()>();
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 v = new psiprobe.model.ApplicationResource;
 specialinvoke v.<psiprobe.model.ApplicationResource: void <init>()>();
@@ -174,8 +177,8 @@
 virtualinvoke v.<psiprobe.model.ApplicationResource: void setDescription(java.lang.String)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return;
 }
 public java.util.List getApplicationFilterMaps(org.apache.catalina.Context)
@@ -197,8 +200,8 @@
 specialinvoke v.<java.util.ArrayList: void <init>(int)>(v);
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 if v == null goto label;
 v = virtualinvoke v.<org.apache.tomcat.util.descriptor.web.FilterMap: int getDispatcherMapping()>();
@@ -239,8 +242,8 @@
 interfaceinvoke v.<java.util.List: boolean addAll(java.util.Collection)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return v;
 }
 public java.util.List getApplicationFilters(org.apache.catalina.Context)
@@ -260,16 +263,16 @@
 specialinvoke v.<java.util.ArrayList: void <init>(int)>(v);
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 if v == null goto label;
 v = staticinvoke <psiprobe.Tomcat90ContainerAdapter: psiprobe.model.FilterInfo getFilterInfo(org.apache.tomcat.util.descriptor.web.FilterDef)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 return v;
 }
 private static psiprobe.model.FilterInfo getFilterInfo(org.apache.tomcat.util.descriptor.web.FilterDef)
@@ -311,8 +314,8 @@
 v = interfaceinvoke v.<org.apache.catalina.Context: org.apache.tomcat.util.descriptor.web.ApplicationParameter[] findApplicationParameters()>();
 v = lengthof v;
 v = 0;
-goto label;
 label:
+if v >= v goto label;
 v = v[v];
 if v == null goto label;
 v = virtualinvoke v.<org.apache.tomcat.util.descriptor.web.ApplicationParameter: boolean getOverride()>();
@@ -321,16 +324,17 @@
 interfaceinvoke v.<java.util.Set: boolean add(java.lang.Object)>(v);
 label:
 v = v + 1;
+goto label;
 label:
-if v < v goto label;
 v = new java.util.ArrayList;
 specialinvoke v.<java.util.ArrayList: void <init>(int)>(20);
 v = interfaceinvoke v.<org.apache.catalina.Context: javax.servlet.ServletContext getServletContext()>();
 v = interfaceinvoke v.<javax.servlet.ServletContext: java.util.Enumeration getInitParameterNames()>();
 v = staticinvoke <java.util.Collections: java.util.ArrayList list(java.util.Enumeration)>(v);
 v = virtualinvoke v.<java.util.ArrayList: java.util.Iterator iterator()>();
-goto label;
 label:
+v = interfaceinvoke v.<java.util.Iterator: boolean hasNext()>();
+if v == 0 goto label;
 v = interfaceinvoke v.<java.util.Iterator: java.lang.Object next()>();
 v = new psiprobe.model.ApplicationParam;
 specialinvoke v.<psiprobe.model.ApplicationParam: void <init>()>();
@@ -348,9 +352,8 @@
 label:
 virtualinvoke v.<psiprobe.model.ApplicationParam: void setFromDeplDescr(boolean)>(v);
 interfaceinvoke v.<java.util.List: boolean add(java.lang.Object)>(v);
+goto label;
 label:
-v = interfaceinvoke v.<java.util.Iterator: boolean hasNext()>();
-if v != 0 goto label;
 return v;
 }
 public boolean resourceExists(java.lang.String, org.apache.catalina.Context)
@@ -360,15 +363,19 @@
 psiprobe.Tomcat90ContainerAdapter v;
 java.lang.String v;
 org.apache.catalina.Context v;
+boolean v;
 v := @this: psiprobe.Tomcat90ContainerAdapter;
 v := @parameter: java.lang.String;
 v := @parameter: org.apache.catalina.Context;
 v = interfaceinvoke v.<org.apache.catalina.Context: org.apache.catalina.WebResourceRoot getResources()>();
 v = interfaceinvoke v.<org.apache.catalina.WebResourceRoot: org.apache.catalina.WebResource getResource(java.lang.String)>(v);
 if v == null goto label;
-return 1;
+v = 1;
+goto label;
 label:
-return 0;
+v = 0;
+label:
+return v;
 }
 public java.io.InputStream getResourceStream(java.lang.String, org.apache.catalina.Context) throws java.io.IOException
 {
diff -u results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessor.jimple results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessor.jimple
--- results/com.github.psi-probe/psi-probe/3.7.0/jnorm/reference/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessor.jimple	2025-03-13 18:06:15.255818972 +0000
+++ results/com.github.psi-probe/psi-probe/3.7.0/jnorm/rebuild/psi-probe-tomcat9-3.7.0.jar:psi-probe-tomcat9-3.7.0.jar/psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessor.jimple	2025-03-13 18:06:16.827794242 +0000
@@ -54,7 +54,7 @@
 java.lang.Class v;
 java.lang.Object v;
 java.lang.String v, v;
-boolean v, v;
+boolean v, v, v;
 v := @this: psiprobe.beans.accessors.Tomcat9DbcpDatasourceAccessor;
 v := @parameter: java.lang.Object;
 v = "org.apache.tomcat.dbcp.dbcp.BasicDataSource";
@@ -64,8 +64,11 @@
 if v == 0 goto label;
 v = v instanceof org.apache.tomcat.dbcp.dbcp.BasicDataSource;
 if v == 0 goto label;
-return 1;
+v = 1;
+goto label;
 label:
-return 0;
+v = 0;
+label:
+return v;
 }
 }
\ No newline at end of file